function runscript()
	camera(9, 0);
	fadeoutinstant();
	doscript("introduction")
	graphic("");
	hideplayer();
	wait(30);
	say("Somewhere in Overside City...");
	wait(30);
	fadein();
	wait(20);
	camera(9, 14);
	createnpc("ip", 5, 15);
	walktox("ip", 10);
	explode(10,10);
	sound("breakground",3);
	createnpc("mouse1", 10, 10);
	setanim("mouse1", 2, 1, 1, 10, 1);
	setgravity("mouse1", 2);
	jump("mouse1", -2);
	sound("fall1", 9);
	fallto("mouse1", 14);
	setanim("mouse1", 0, 0, 2, 10, 1);
	explode(10, 14);
	sound("enemyhurt1", 3);
	setanim("ip", 3, 0, 4, 10, 1);
	setgravity("ip", 2);
	setanim("ip",5, 0, 4, 10, 1);
	jump("ip", -2);
	movex("ip", 9);
	wait(20);
	speaker("mouse1");
	say("Nyeh| hyeh| hyeh|!");
	wait(30);
	setanimtemplate("mouse1", ANIM_WALK_LEFT);	
	movex("mouse1", 11);
	setanimtemplate("mouse1", ANIM_STAND_LEFT);
	wait(50);
	say("Hmmmm.|.|.|| I've never seen you around these parts before.");
	wait(30);
	walktox("mouse1", 9);
	walktoxbackwards("mouse1", 7);
	wait(50);
	say("What're you supposed to be, anyways?||||/nA cat?|||| A dog?");
	wait(50);
	walktox("mouse1", 10);
	setanimtemplate("mouse1", ANIM_STAND_LEFT);
	wait(50);
	say("Me?|| I'm Chester,| and I'm a mouse.");
	wait(50);
	say("But sometimes I wish I was a robin,|| because I'll be 'robin' you now!");
	say("Nyeh| hyeh| hyeh!");
	walktoxspeed("mouse1", 9, 2);
	wait(10);
	for i=0, 4, 1 do
		sound("enemyhurt1", 3);
		explode(9, 15);
		wait(10);
	end
	wait(30);
	createnpc("exclam", 9, 15);
	sound("enemyhurt1", 3);
	wait(50);
	say("Hmmm... What's this?")
	destroy("exclam");
	wait(50);
	sound("weaponswitch", 3);
	createnpc("device", 9, 14);
	wait(50);
	say("Whatever it is, it looks expensive.");
	wait(50);
	sound("weaponswitch", 3);
	destroy("device");
	wait(50);
	say("I'll be taking this with me.");
	wait(50);
	say("Well, I've had fun,|| but I've gotta be going now.");
	say("||||Smell ya later.");
	wait(50);
	walktoxspeed("mouse1", 20, 2)
	wait(50);
	setanimtemplate("ip", ANIM_STAND_RIGHT);
	sound("trip", 3);
	speaker("ip");
	wait(50);
	say("Hey,| come back!");
	walktoxspeed("ip", 20, 2);
	fadeout();
	wait(30);
	changelevel("overside");
end